Subject: ln documentation 2nd form does not work

From: Mason Wong <[email-masked]>
Date: Sun, 20 Jul 2025 23:21:09 +1000

According to the ln documentation ( ln(1) - Linux manual page
<https://man7.org/linux/man-pages/man1/ln.1.html>)

The documentation states that you should be able to do something like *ln
a.txt* (where a.txt is just some arbitrary file). However, this is
misleading because something like this cannot be done:
>From experience, you *must* always give the ln command two arguments
(either a directory with the -t option or as the second argument as in the
3rd and 4th form *or *the
*link_name). *Essentially, I don't think the documentation is accurate and
that the second form does not make sense and it is misleading at best. It
would be helpful to correct this for future documentation man pages to not
have this ambiguity.

Best wishes,
Mason